a@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;700&display=swap');


*,
*::before,
*::after {
  box-sizing: border-box;
}

/*@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');
*/

.clear{
  clear: both;
  float: none;
}
html {
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  -ms-overflow-style: scrollbar;
  -webkit-tap-highlight-color: transparent;
  font-size:14px;
}

@-ms-viewport {
  width: device-width;
}

body {
margin: 0;
padding:0;
font-weight: 400;
font-family: tahoma;
color: #212529;
text-align: left;
position: relative;
font-size: 16px;
font-size: 1rem;
line-height: 1.8;
background: #e4e2dd;
}

.width_100{
  max-width: 100%;
}


.list_style_none li{
  list-style: none;
}

/* Backgrounds
-----------------------------------------------------------------------------------------*/
.bg_white{ background:#fff;	}
.bg_red{ background: #F43F42;}
.bg_redish_light{ background: #fff3f2;}
.bg_redish{ background: #eb3a33;}
.bg_primary{ background:#f2f1ef;	}
.bg_light{ background:#fdfdfe;	}
.bg_grey_light{ background:#f9f9fb;	}
.bg_grey_dark{ background:#333333;	}
.bg_grey_medium{ background:#ebeeef;	}
.bg_light_yellow{ background:#fffcdf;	}
.bg_lighter_yellow{ background:#fffff0;	}
.bg_blue{ background: #456070;}
.bg_black{ background: #272626;}
.bg_pink{ background: #EACFFF; }
.bg_orange{ background: #fff1c0; }
.bg_blue_light{ background: #c6e9ea;}
.bg_blue_purple{background-image: linear-gradient(90deg,rgba(0,69,162,0.99) 8%,rgba(166,68,229,0.7));}

/* Text
-----------------------------------------------------------------------------------------*/
a{ }

.linky{ text-decoration:none; cursor: pointer;  font-weight: normal; color: #3e1a85;}
.linky:visited{ text-decoration:none;  color:#3e1a85; cursor: pointer;}

.fontly{ font-family: 'Montserrat', sans-serif; font-weight: bold;}
.fontly_1{font-family: tahoma;}

.text_right{ text-align: right;}
.text_left{ text-align: left;}
.text_center{ text-align: center;}
.text_bold{font-weight: bold !important;}

.text_small{ font-size: 0.8rem}
.text_1{ font-size: 1rem}
.text_1-5{ font-size: 1.5rem}
.text_2{font-size: 2rem;}
.text_3{font-size: 3rem;}

.color_grey_dark{color: #333333;}
.color_grey_medium{color: #666;}
.color_white{color: #ffffff;}



/*  Containers and Wrappers
-----------------------------------------------------------------------------------------*/
.container{
  margin-right: auto;
  margin-left: auto;
  padding: 0 1rem;
  width: 90%;
  max-width: 950px;
}

   @media (max-width: 769px){
      .container{ width:90%; }
   }

.container_narrow{
  margin-right: auto;
  margin-left: auto;
  padding: 0 1rem;
  width: 90%;
  max-width: 1000px;
}

.main{
	flex:1 1 70%;
   overflow: hidden;
}

.side{
	flex:1 1 30%;
	padding:0 0 0 0rem;
   overflow: hidden;
}
@media (max-width: 769px) {
   .side{ padding: 0; margin: 0px 0 0 0;}
}
.d_none{display:none !important;}
.d_block{ display: block;}
@media (max-width: 769px) { .d_m_block{display:block !important;	} }
@media (min-width: 769px) { .d_m_flex{display:flex !important;	} }
@media (min-width: 769px) { .d_m_flex_wrap{display:flex !important; flex-wrap: wrap;	} }


.d_iblock{ display:inline-block;}
.f_left{ float: left;}
.v_none{visibility:hidden;}
.v_block{ visibility: visible;}
.p_relative{ position: relative;}


/*  Flex
-----------------------------------------------------------------------------------------*/
.flex{ display:flex;}
.flex_wrap{ display:flex; flex-wrap:wrap;}
.flex_center{ align-items: center;}
.flex_bottom{ align-items: baseline;}
.s_between{ justify-content:space-between;}
.s_center{ justify-content:center;}
.s_around{ justify-content:space-around;}
.flex_reverse{flex-direction: row-reverse;}

.flex_split_50
{
   flex-basis: 50%;
}


/* Padding
-----------------------------------------------------------------------------------------*/

.p0{ padding:0;}
.p0-5{ padding: 0.5rem;}
.p1{ padding:1rem;}
.p2{ padding:2rem;}
.p3{ padding:3rem;}

.pt0{	padding-top:0rem;	}
.pt1{	padding-top:1rem;	}
.pt2{	padding-top:2rem;	}
.pt3{	padding-top:3rem;	}

.pb0{	padding-bottom:0;	}
.pb1{	padding-bottom:1rem;	}
.pb2{	padding-bottom:2rem;	}
.pb3{	padding-bottom:3rem;	}

.pl0-5{	padding-left:0.5rem;	}
.pl1{	padding-left:1rem;	}
.pl2{	padding-left:2rem;	}
.pl3{	padding-left:3rem;	}

.pr1{	padding-right:1rem;	}
.pr2{	padding-right:2rem;	}
.pr3{	padding-right:3rem;	}

/* Margin
-----------------------------------------------------------------------------------------*/

.m0_auto{ margin:0 auto;}
.m0{ margin:0;}
.m1{ margin:1rem;}
.m2{ margin:2rem;}
.m3{ margin:3rem;}

.mt0{	margin-top:0;	}
.mt1{	margin-top:1rem;	}
.mb1{	margin-bottom:1rem;	}

.mt2{	margin-top:2rem;	}
.mb2{	margin-bottom:2rem;	}

.mt3{	margin-top:3rem;	}
.mb3{	margin-bottom:3rem;	}

.ml1{	padding-left:1rem;	}
.ml2{	padding-left:2rem;	}
.ml3{	padding-left:3rem;	}

.mr1{	padding-right:1rem !important;	}
.mr2{	padding-right:2rem;	}
.mr3{	padding-right:3rem;	}

.nospace{ margin:0; padding:0;}


/* Form
-----------------------------------------------------------------------------------------*/
.tooly i{ display: block; float: right; padding:0 7px; background: #F1F2F5; color: #ACACAC; cursor: pointer;}


input[type="email"],
input[type="number"],
input[type="search"],
input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
textarea,
select {
  height: 43px;
  padding: 15px; /* The 6px vertically centers text on FF, ignored by Webkit */
  border: 1px solid #CCC;
  box-shadow: none;
  box-sizing: border-box; 
  border-radius: 4px;


}
/* Removes awkward styles on some inputs for iOS */
input[type="email"],
input[type="number"],
input[type="search"],
input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
textarea {
  -webkit-appearance: none;
     -moz-appearance: none;
           }

input[type="email"]:focus,
input[type="number"]:focus,
input[type="search"]:focus,
input[type="text"]:focus,
input[type="tel"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
textarea:focus,
select:focus {
  border: 1px solid #33C3F0;
  outline: 0; }

input:disabled {
  background: #dddddd;
}
/* FORMS START */


.form label{
	display:block;
	width:100%;
}


.form input[type=text], input[type=number],input[type=password],input[type=email], select, textarea{
  border-radius:3px;
  border:solid 1px #ccc;
  color:#585f67;
  display: block;
  width: 100%;
  padding: 10px;
}
.form_item_split{
   flex-basis: 50%;
}


.bread{ border-bottom: solid 1px #f4f3f3; padding: 1rem;  margin-bottom: 1rem;}





.message_bad{ background-color:#fce8e6; color: #000; padding: 0.5rem; border-radius: 8px;}
.message_bad span{  margin:3px; padding:5px; background-color:#fff; display:inline-block; border-radius: 3px;   }

.message_good{ background-color:#e0feec; color: #000; padding: 0.5rem; border-radius: 8px;}
.message_good span{  margin:3px; padding:5px; background-color:#fff; display:inline-block; border-radius: 3px;   }

.message_notice{ background-color:#c8dfff; color: #000; padding: 0.5rem; border-radius: 8px;}
.message_notice span{  margin:3px; padding:5px; background-color:#fff; display:inline-block; border-radius: 3px;   }

.error_input{ color:red;}
.error_input input{ border:solid 1px red;}

/* Buttons or button like
-----------------------------------------------------------------------------------------*/


.button{
	display: inline-block;
	font-weight: 400;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	border: 1px solid #231342;
	padding: 0.4rem 1rem;
	font-size: 0.9rem;
	border-radius: 0.3rem;
	cursor:pointer;
	text-decoration: none;
  background: #231342;
  color: #fff;
}
.button:visited{
  color: #fff;
}

.button:hover{
	background-color:#f4f4f4;
	color:#666 !important;
}

.button:hover a{
	background-color:#f4f4f4;
	color:#666 !important;
}

.button_blue{
	border:solid 1px #034383;
   background: #fafafa;
}

.button_cancel{
  border:solid 1px #D71114;
	color: #fff;
   background: #D71114;
  
}

.button_cancel{
   border:grey;
	color: white;
   background: red;
}
.button_default{
	border:solid 1px #034383;
	color: #034383;
   background: #fafafa;
}

.button_grey{
	border:solid 1px #fff;
	color: #000 !important;
   background: #fafafa;
}

.button_blue_solid{
   border:solid 1px #034383;
	color: #ffffff;
   background: #034383;
}

.button_small{
	padding: 5px;
	font-size: 10px;
	border-radius: 0.25rem;
}





/* -------------------------- TABLE START ------------------------------ */
.table_outside{
 overflow-x: scroll; 
 max-width:100%;	
}

.table {
  width: 100%;
  max-width: 100%;
  margin-bottom: 1rem;
  background-color: transparent;
  background-color:#fff;
	border-radius:0.3rem;
	padding:1rem;


}

.table th,
.table td {
  padding: 0.75rem;
  vertical-align: top;
}

.status_enabled{ border-left: solid 2px #060;}

.table thead th {
  vertical-align: bottom;
}

.table tbody + tbody {
  border-top: 2px solid #dee2e6;
}

.table .table {
  background-color: #fff;
}

.table tbody tr:nth-of-type(odd) {
  background-color: #f4edf5;
}

.table_child_row{
	padding:1rem 0.5rem;
	margin:0 15px 0 0;
	border-bottom:solid 1px #000;	
	border-left:solid 1px #000;	
	display:inline-block;
}

.table_tag{ border-radius:1rem; padding:2px 5px; background-color:#666; color:#fff; font-size:0.7rem; font-weight:bold; text-decoration:none;}


.tree_image{ width:50px;}
.tree_edit{border-radius:1rem; padding:2px 15px; font-size:10px; font-weight:bold; background-color:#0eb41d;  color:#fff; text-decoration:none; }

/* -------------------------- TABLE END ------------------------------ */



/* -------------------------- TABLE START ------------------------------ */
.table_outside{
 overflow-x: scroll; 
 max-width:100%;	
}

.table {
  width: 100%;
  max-width: 100%;
  margin-bottom: 1rem;
  background-color: transparent;
  background-color:#fff;
	border-radius:0.3rem;
	padding:1rem;


}

.table th,
.table td {
  padding: 0.75rem;
  vertical-align: top;
}

.status_enabled{ border-left: solid 2px #060;}

.table thead th {
  vertical-align: bottom;
}

.table tbody + tbody {
  border-top: 2px solid #dee2e6;
}

.table .table {
  background-color: #fff;
}

.table tbody tr:nth-of-type(odd) {
  background-color: #f4edf5;
}

.table_child_row{
	padding:1rem 0.5rem;
	margin:0 15px 0 0;
	border-bottom:solid 1px #000;	
	border-left:solid 1px #000;	
	display:inline-block;
}

.table_tag{ border-radius:1rem; padding:2px 5px; background-color:#666; color:#fff; font-size:0.7rem; font-weight:bold; text-decoration:none;}



/* -------------------------- TABLE END ------------------------------ */

.row_status_is_deleted{background: #000; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_enabled{background: #17BB0F; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_alive{background: #17BB0F; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_working{background: #e20000; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_pending_new{background: #FFF12F; color: #000; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_pending_update{background: #F37100; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_not_working{background: #BDBDBD; color: #000; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_dead{background: #BDBDBD; color: #000; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_incomplete{background: #666; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_active{background: #03b63a; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_pending_new{background: #D0CD9F; color: #333; font-size:0.8rem; border-radius: 3px; padding: 3px;}
.row_status_is_not_tested{background: #333; color: #fff; font-size:0.8rem; border-radius: 3px; padding: 3px;}










.myoverlay_outer{
	display:none;
 	height:100%;
	position:absolute;

}
.myoverlay{	
   background:rgba(0,0,0,0.75); width:100%; height:100%; padding: 1rem; margin: 0; position:fixed; top:0; left:0;z-index:99999; 
   display: block;overflow-y:auto;
}

.myoverlay_form{
	display:block;
	margin:0px auto;
	padding:1rem;
 	box-shadow: 0px 0px 2px 1px rgba(0,0,0,0.75);
	max-height:90vh;
   width: 90%;
   max-width: 600px;
   background: #ffffff;
   overflow: auto;
   
}

.myoverlay_form h4{ padding:10px; background-color:#f4f4f4; display:block;}
.myoverlay_form textarea{ height:80px;}
.myoverlay_form input, textarea, label, select{
 	width:100%;
	margin:0px 0 0 0;
	border-radius:2px;
}



/* PAGINATION PREVIEWS START */

.pagination{ clear:both; float:none; text-align: center;}
.pagination p{ margin: 0; padding: 0;}
.pagination a{
	display:inline-block;
	padding:4px 14px;
	background-color:#3e1a85;
	color:#fff;border: solid 1px #3e1a85;
	text-decoration: none;
    font-weight: normal;
  margin: 1px;

}


.pagination strong{
	background-color:#CCC;
  display: inline-block;
  border: solid 1px #CCC;
	padding:4px 14px;
	color:#666;
   margin: 1px;
  font-weight: 100;
}

.border_tag{
   text-transform: uppercase;
   display: inline-block;
   font-size: 0.7rem !important;
   border-radius: 4px;
   padding: 2px 8px 0 0;
   width: auto;
   color: #453c55;
   text-align: center;
   margin: 1px 0px 0 0;
}




